<div th:replace="fm:data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    <div class="input-group col-md-2">
       <input type="text" class="form-control" th:name="${prefix + data.id} + '.val'" th:value="${value}" th:attr="data-parsley-required=${data.isMandatory() ? true : null}" minlength="11" maxlength="11" />
        <span class="input-group-btn">
            <button th:id="'btn-' + ${prefix + data.id}" type="button" class="btn btn-primary"><span><i class="fa fa-refresh"></i></span></button>
       </span>
    </div>
    <input type="hidden" th:name="${prefix + data.id} + '.data'" th:value="${null == value ? '' : value.data }" />
    <div th:name="${prefix + data.id} + '.tree'" class="col-md-7"></div>
</div>
